#
# spec file for package tree-sitter-luau
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define         _name luau
Name:           tree-sitter-luau
Version:        1.2.0
Release:        1.1
Summary:        Luau grammar for tree-sitter
License:        MIT
URL:            https://github.com/tree-sitter-grammars/tree-sitter-luau
Source0:        %{url}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch0:         require-correct-lua.patch
BuildRequires:  tree-sitter
BuildRequires:  treesitter_grammar_src(tree-sitter-lua)
%treesitter_grammars %{_name}

%description
%{summary}.

%prep
%autosetup -p1

%build
%treesitter_configure
%treesitter_build

%install
%treesitter_install
%treesitter_devel_install

#neovim stuff
install -d %{buildroot}%{_libdir}/tree_sitter
ln -s %{_libdir}/lib%{name}.so %{buildroot}%{_libdir}/tree_sitter/%{_name}.so

%files
%license LICENSE
%treesitter_files
%{_libdir}/tree_sitter/%{_name}.so
%if 0%{?suse_version} < 1600
%dir %{_libdir}/tree_sitter
%endif

%treesitter_devel_package

%changelog
* Tue Dec 31 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 1.2.0:
  * fix(grammar): adapt to upstream regex change
  * feat: support floor division update operator
  * feat: support variadic types and variadic generic parameters
  * feat: add compound floor division operator highlight
  * feat: allow empty object types and add intersection type to types
  * build: update bindings
  * fix: allow other types in gneric type
  * fix: support variadic type in generic arguments
  * feat: use binding list in for_generic_clause
  * chore: generate with 0.24.5
  * fix: mark the lua grammar as a dependency
  * fix(rust): correct include
- remove fix-grammar.js.patch, as upstream includes now the fix
- add require-correct-lua.patch, as they depend on the older upstream name
  of the lua package
* Thu Dec  5 2024 Richard Rahl <rrahl0@opensuse.org>
- initial packaging
